#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/fs.h>
#include <linux/evl_log.h>

#define EVLPRINT_SEV	3 
#define EVLWRITE_SEV 	3
#define EVLLOGK_SEV 	3

/*
 * Error IDs
 */
#define EVLPRINT_ERR	2000 
#define EVLLOG_ERR  	2000 
#define EVWRITE_ERR 	2000 

int
init_module(void)
{
	int i = 0;
	long larray[5]={30L,31L,32L,33L,34L};
	long long llarray[5] ={11LL,12LL,13LL,14LL,15LL};
	unsigned long long ullarray[5]={21LL,22LL,23LL,24LL,25LL};
	int iarray[5]={10,11,12,13,14};
	short sarray[5]={1,2,3,4,5};
	char carray[4]={'l','o','v','e'};

	void *addr1 = (void*) 0xfeedf00d;
	void *addr2 = (void*) 0xfacef00d;
	void *addrarray[5] = { NULL, (void*)1, (void*)2, addr1, addr2 };
	char *plal[4] = { "peace", "love", "and", "linux" };
	
	int ret = -1;
	char *logbuf = "Testing posix_log_write";

	posix_log_printf(LOG_KERN, EVLPRINT_ERR, EVLPRINT_SEV, 0, "posix_log_printf testing %d\n", ++i);
	posix_log_printf(LOG_KERN, EVLPRINT_ERR, EVLPRINT_SEV, 0, (void *)NULL);

	posix_log_write(LOG_KERN, EVLLOG_ERR, EVLLOGK_SEV, logbuf, strlen(logbuf) + 1,
				POSIX_LOG_STRING, 0);
	ret = posix_log_write(LOG_KERN, EVLLOG_ERR, EVLLOGK_SEV, (void *)NULL, 0, POSIX_LOG_NODATA, 0);
	posix_log_printf(LOG_KERN, EVLPRINT_ERR, EVLPRINT_SEV, 0, "return val %d\n", ret);
	
	evl_writek(LOG_KERN, EVWRITE_ERR, EVLWRITE_SEV, 0,
				"int", 10,
				"uint", 5, 
				"int", 20, 
				"ushort", 10, 
				"long", 10L, 
				"endofdata");

	evl_writek(LOG_KERN, EVWRITE_ERR, EVLWRITE_SEV, 0,
				"short", 1, 
				"ushort", 2, 
				"long", 1111L, 
				"ulong", 2222L, 
				"ulonglong", 10LL,
				"longlong", 10LL,
				"endofdata"); 
	
	evl_writek(LOG_KERN, EVWRITE_ERR, EVLWRITE_SEV, 0, 
				"char", 'A', 
				"uchar", 'B', 
				"endofdata"); 

	evl_writek(LOG_KERN, EVWRITE_ERR, EVLWRITE_SEV, 0,
				"longlong[]", 5, &llarray,
				"ulonglong[]", 5, &ullarray,
				"int", 10,
				"endofdata");

	evl_writek(LOG_KERN, EVWRITE_ERR, EVLWRITE_SEV, 0, 
				"int[]", 5, &iarray,
				"int[]", 5, &iarray,
				"short[]", 5, &sarray,
				"char[]", 4, &carray,
				"long[]",5, &larray,
				"string","abcdf",
				"endofdata");

	evl_writek(LOG_KERN, EVWRITE_ERR, EVLWRITE_SEV, 0, 
				"2*short", 10, 11,
				"5*long", 10L, 11L, 12L, 13L, 14L,
				"4*char", 'l', 'o', 'v', 'e',
				"2*longlong", 10LL, 11LL,			// must postfix value with LL 
				"5*int", 1, 2, 3, 4, 5,
				"endofdata");

	evl_writek(LOG_KERN, EVWRITE_ERR, EVLWRITE_SEV, 0, "endofdata");
	
	evl_writek(LOG_KERN, EVWRITE_ERR, EVLWRITE_SEV, 0,
				"2*address", addr1, addr2,
				"address[]", 5, addrarray,
				"address", (void*)0xfeedface,
				"endofdata");
				
	evl_writek(LOG_KERN, EVWRITE_ERR, EVLWRITE_SEV, 0,
				"string[]", 4, plal,
				"endofdata");

	printk("EVLOGtest: Test with printk\n");

	return 0;
}

void
cleanup_module(void)
{
	char *buf = "EVL_Test_Driver";

	printk("%s: Sending EVL logging event using printk\n", buf);
	printk("<1>%s: Sending 2nd EVL logging event using printk\n", buf);
	
}
