#!/bin/bash
#
#
export LANG=C

ARCH=i386
TEST_TEMPLATE=evl_log_write.out

if [ ! -z $1 ]
then
	ARCH=$1
fi

if [ "$ARCH" = "i386" ]
then
	TEST_TEMPLATE=evltestmod1.out
else
	TEST_TEMPLATE=evltestmod1.$ARCH.out
fi


logtime=`date +%s`
echo "kernel api test 1 started"
sleep 1
/sbin/insmod evltestmod.o
sleep 1
/sbin/evlview -f "(time>${logtime} && event_type=2000)" -B -S 'size=%size%\n%data%' > test1.sh.out

diff test1.sh.out $TEST_TEMPLATE

if [ $? -eq "0" ]
then
	echo kernel api test1	:PASSED
	rm test1.sh.out
else
	echo kernel api test1	:FAILED
fi
#
# clean up
#
/sbin/rmmod evltestmod
