#!/bin/bash
#
#
ARCH=i386
TEST_TEMPLATE=evltestmod2.out

if [ ! -z $1 ]
then
	ARCH=$1
fi

if [ "$ARCH" = "i386" ]
then
	TEST_TEMPLATE=evltestmod2.out
fi

if [ "$ARCH" = "s390" ]
then
	TEST_TEMPLATE=evltestmod2.s390.out
fi

if [ "$ARCH" = "s390x" ]
then
	TEST_TEMPLATE=evltestmod2.s390x.out
fi

/sbin/insmod evltestmod.o
sleep 1
logtime=`date +%s`
echo "kernel api test 2 started"
/sbin/rmmod evltestmod
# The first evlview prints the desired records if PRINTKWLOC is enabled
# and /var/evlog/templates/kern/kern.t is compiled.
# The second evlview prints the desired records if PRINTKWLOC is disabled.
/sbin/evlview -f "time>=${logtime} && msg" -b -S %msg% > test2.sh.out
/sbin/evlview -f "time>=${logtime} && !msg" -b -S %data% >> test2.sh.out

diff test2.sh.out $TEST_TEMPLATE

if [ $? -eq "0" ]
then
	echo kernel api test2	:PASSED
	rm test2.sh.out
else
	echo kernel api test2	:FAILED
fi
