#!/bin/bash

lastRecid=`/sbin/evlview -t 1 -S %recid%`

/sbin/insmod kfacreg.o
if [ $? -ne 0 ]
then
	echo Failed to install kernel test module kfacreg.o
	echo Kernel facility registration test 3	:ABORTED
	exit 2
fi
sleep 2
/sbin/rmmod kfacreg

/sbin/evlview -f "recid > $lastRecid" -S 'facility=%facility% event_type=%event_type:d%\n%data%' | sed -e 's/registered_ok/OK/' -e 's/already_registered/OK/' > test3.sh.out

diff test3.sh.out test3.out

if [ $? -eq 0 ]
then
	echo Kernel facility registration test 3	:PASSED
	rm -f test3.sh.out
else
	echo Kernel facility registration test 3	:FAILED
	exit 1
fi
exit 0
