#!/bin/bash

lastRecid=`/sbin/evlview -t 1 -S %recid%`

/sbin/insmod kfacreg2.o
if [ $? -ne 0 ]
then
	echo Failed to install kernel test module kfacreg2.o
	echo Kernel facility registration test 4	:ABORTED
	exit 2
fi
sleep 2
/sbin/rmmod kfacreg2

/sbin/evlview -f "recid > $lastRecid" -S 'facility=%facility% event_type=%event_type:d%\n%data%' | sed -e 's/registered_ok/OK/' -e 's/already_registered/OK/' > test4.sh.out

diff test4.sh.out test4.out

if [ $? -eq 0 ]
then
	echo Kernel facility registration test 4	:PASSED
	rm -f test4.sh.out
else
	echo Kernel facility registration test 4	:FAILED
	exit 1
fi
exit 0
